#!/usr/bin/python3.4
# -*- coding: utf-8 -*-

import sys

OK = 0
PE = 4
WA = 5
CF = 6

#fin = open(sys.argv[2], "r")
#ans = fin.readline().strip()
ans=input().strip()


ans = ans.replace("A", "a")
ans = ans.replace("B", "b")
ans = ans.replace("N", "n")


for char in ans:
    if char not in " abn+-*()0123456789":
        sys.stderr.write("Ответ содержит недопустимый символ: ''" + char + "''")
        sys.exit(PE)
if "**" in ans:
    sys.stderr.write("В ответе не может использоваться ''**''")
    sys.exit(PE)


ALL_PASSED = True

correct = "n * a + ( n - 2 ) * b + 20"

def check(s1, s2):
    for a in range(1, 11):
        for b in range(1, 11):
            for n in range(1,11):
                if eval(s1) != eval(s2):
                    return False
    return True


try:
    if check(ans,correct):
        sys.stderr.write("Это правильный ответ ")
        sys.stdout.write("100")
        sys.exit(OK)


except Exception as E:
    sys.stderr.write("Некорректное арифметическое выражение ")
    sys.stderr.write(str(E))
    sys.stdout.write("0")
    sys.exit(PE)

sys.stderr.write("Это неправильный ответ ")
sys.stdout.write("0")
sys.exit(WA)

